const path = require('path');
const webpack = require('webpack');
const WebpackDevServer = require('webpack-dev-server');
const config = require('./webpack.config.pro');

new WebpackDevServer(webpack(config), {
  contentBase: path.join(__dirname, 'assets'),
  publicPath: config.output.publicPath,
  noInfo: true,
  host: "0.0.0.0",
  historyApiFallback: true,
}).listen(3001, (err) => {
  if (err) {
    console.log(err);
  }
  console.log('app.js Listening at localhost:3000');
});
