
import React, { Component } from 'react';
import { Panel, Icon } from '../../components';

import '../styles/pages/IconPage';

const iconList =[
{
  theme:"success",
  type:"right"
},{
  theme:"success",
  type:"right-round"
},{
  theme:"success",
  type:"right-round-fill"
},{
  theme:"error",
  type:"wrong"
},{
  theme:"error",
  type:"wrong-round"
},{
  theme:"error",
  type:"wrong-round-fill"
},{
  theme:"error",
  type:"info-round"
},{
  theme:"error",
  type:"info-round-fill"
},{
  theme:"info",
  type:"info-round"
},{
  theme:"info",
  type:"info-round-fill"
},{
  theme:"",
  type:"question-round"
},{
  theme:"",
  type:"question-round-fill"
},{
  theme:"warning",
  type:"warning-round"
},{
  theme:"warning",
  type:"warning-round-fill"
},{
  theme:"",
  type:"arrow-top"
},{
  theme:"",
  type:"arrow-right"
},{
  theme:"",
  type:"arrow-bottom"
},{
  theme:"",
  type:"arrow-left"
},{
  theme:"",
  type:"add"
},{
  theme:"",
  type:"add-round"
},{
  theme:"",
  type:"add-round-fill"
},{
  theme:"",
  type:"minus"
},{
  theme:"",
  type:"minus-round"
},{
  theme:"",
  type:"minus-round-fill"
},{
  theme:"",
  type:"date"
},{
  theme:"",
  type:"loading"
},
/*pjh icon*/
{
  theme:"",
  type:"pjh-merge"
},{
  theme:"",
  type:"pjh-qrcode"
},{
  theme:"",
  type:"pjh-save"
},{
  theme:"",
  type:"pjh-company"
},{
  theme:"",
  type:"pjh-date"
},{
  theme:"",
  type:"pjh-uploading"
},{
  theme:"",
  type:"pjh-add"
},

{
  theme:"",
  type:"pjh-package"
},{
  theme:"",
  type:"pjh-phone"
},{
  theme:"",
  type:"pjh-exit"
},{
  theme:"",
  type:"pjh-switcher-open"
},{
  theme:"",
  type:"pjh-switcher-close"
},{
  theme:"",
  type:"pjh-switcher"
},{
  theme:"success",
  type:"pjh-pass"
},{
  theme:"success",
  type:"pjh-eyes-open"
},{
  theme:"success",
  type:"pjh-eyes-close"
},

{
  theme:"",
  type:"pjh-annulus"
},{
  theme:"",
  type:"pjh-message"
},{
  theme:"",
  type:"pjh-refresh"
},{
  theme:"",
  type:"pjh-select"
},{
  theme:"",
  type:"pjh-download"
}

];

class IconPage extends Component {

  render() {
    return (
      <div className="icon-page">
        <Panel>
          <Panel.Header>
            <Panel.Title>Icon图标</Panel.Title>
          </Panel.Header>
          <Panel.Body>
            
            {
            iconList.map((k,v)=>{
              return (<Icon type={k.type} theme={k.theme} key={v} />);
            })
            }
          </Panel.Body>
        </Panel>

      </div>
    );
  }
}

export default IconPage;