
import React, { Component } from 'react';
import { Swipe ,PreviewSwipe,StaticLoad,Button,Cell,Panel} from '../../components';
import { hashHistory,Link } from 'react-router';
import Events from "min-bridge/lib/Events";

// import PhotoSwipe from 'photoswipe';
// import PhotoSwipeUI_Default from 'photoswipe/dist/photoswipe-ui-default';

// import 'photoswipe/dist/default-skin/default-skin.css';
// import 'photoswipe/dist/photoswipe.css';

import '../styles/pages/Photo.scss';
//图片名称，小图地址动态获取
var smallImg=(url)=>{
	if(!url){ return ''};
	let name = url.replace(/^.*\/([^\/]+)\..+/,'$1');
	return url.replace(name,name+"_s");
};
class Photo extends Component {
	constructor(props) {
		super(props);
		this.state = {
			items: [],
			
		};
		this.imgitems=[];
		this.bailor = props.bailor||"body";
		this.photoPreview=null;
		this.items = [
      {
          // src: 'https://farm2.staticflickr.com/1043/5186867718_06b2e9e551_b.jpg',
          src: 'http://ouptz082t.bkt.clouddn.com/admin/content/pic/2017/11/27/2fa6ad2b-0953-47ef-a85d-26390965b64c.jpg',
      },
      {
          // src: 'https://farm7.staticflickr.com/6175/6176698785_7dee72237e_b.jpg',
          src: 'http://ouptz082t.bkt.clouddn.com/admin/content/pic/2017/11/27/56396f63-0bb8-44ab-838d-29806cc93a1e.png',

      },
      // {src:"http://ouptz082t.bkt.clouddn.com/user/public/pic/2017/11/25/b6718458-5807-49d3-8589-3286ca3aa313.jpg"},
      {src:"https://testserver.piaojh.com/user/public/pic/2017/12/21/a0883b27-ff48-4f9f-b9f6-62054ab5d73d_s.jpg"},
      {src:"https://testserver.piaojh.com/user/public/pic/2017/11/25/b6718458-5807-49d3-8589-3286ca3aa313.jpg"}

		    ];
	}
	componentDidMount(){
		StaticLoad.show("123","数据加载中");
		setTimeout(()=>{
			this.setState({
				items:this.items
			})
			StaticLoad.remove("123");
		},2000);
	}
	
	render() {
		let {items}=this.state;
		return (
		<div className="photo-page">
				<Panel>
          <Panel.Header>
            <Panel.Title>图片查看器</Panel.Title>
          </Panel.Header>
          <Panel.Body>
            <Link to="/photo2"><Cell title="当前第一页" type="link" description="下一页"/></Link>
          </Panel.Body>
        </Panel>
				<div className="list-test">
					{
					items.map((k,v)=><p className="photo-row" key={v}><img className="zoom-img" src={k.src} href={k.src}  alt=""/></p>)
					}
				</div>
				<PreviewSwipe {...this.props}/>
			</div>
		);
	}
}



export default Photo;