
import React, { Component } from 'react';
import { Swipe ,PreviewSwipe,Panel,Cell} from '../../components';
import { hashHistory,Link } from 'react-router';
import Events from "min-bridge/lib/Events";

// import PhotoSwipe from 'photoswipe';
// import PhotoSwipeUI_Default from 'photoswipe/dist/photoswipe-ui-default';

// import 'photoswipe/dist/default-skin/default-skin.css';
// import 'photoswipe/dist/photoswipe.css';

import '../styles/pages/Photo.scss';
//图片名称，小图地址动态获取
var smallImg=(url)=>{
	if(!url){ return ''};
	let name = url.replace(/^.*\/([^\/]+)\..+/,'$1');
	return url.replace(name,name+"_s");
};
class Photo extends Component {
	constructor(props) {
		super(props);
		this.state = {
			items: [],
		};
	}

	
	
	render() {
		return (
		<div className="photo-page">
				<Panel>
          <Panel.Header>
            <Panel.Title>！！图片查看器</Panel.Title>
          </Panel.Header>
          <Panel.Body>
            <Link to="/photo"><Cell title="当前第二页" type="link" description="上一页"/></Link>
          </Panel.Body>
        </Panel>
				<div className="list-test">
					<p className="photo-row"><img className="zoom-img" src="http://ouptz082t.bkt.clouddn.com/admin/content/pic/2017/11/27/4abc8163-366e-43aa-85eb-4d4fbb419edb.png" href="http://ouptz082t.bkt.clouddn.com/admin/content/pic/2017/11/27/4abc8163-366e-43aa-85eb-4d4fbb419edb.png"  alt=""/></p>
					<p className="photo-row"><img className="zoom-img" src="https://testserver.piaojh.com/user/public/pic/2017/12/21/fbeaa605-cbe4-4653-a839-700df126c24a_s.jpg" href="https://testserver.piaojh.com/user/public/pic/2017/12/21/fbeaa605-cbe4-4653-a839-700df126c24a.jpg"  alt=""/></p>
					<p className="photo-row"><img className="zoom-img" src="https://testserver.piaojh.com/user/public/pic/2017/12/21/a0883b27-ff48-4f9f-b9f6-62054ab5d73d_s.jpg" href="https://testserver.piaojh.com/user/public/pic/2017/12/21/a0883b27-ff48-4f9f-b9f6-62054ab5d73d.jpg"  alt=""/></p>
					<p className="photo-row"><img className="zoom-img" src="https://farm7.staticflickr.com/6175/6176698785_7dee72237e_b.jpg" href="https://farm7.staticflickr.com/6175/6176698785_7dee72237e_b.jpg"  alt=""/></p>
					
				</div>
				<PreviewSwipe {...this.props}/>
			</div>
		);
	}
}



export default Photo;